
***ANES 1972-74-76 Analyses***


*Attractiveness Rating
*V720433 RATING OF R'S PHYSICAL APPEARANCE (based upon age and sex)                  
gen attractive=V720433 if V720433!=9
recode attractive (1=5) (2=4) (4=2) (5=1)
replace attractive=(attractive-1)/4




***1972***
*Demographics
*V720294 AGE AT TIME OF PRE-ELECTION INTERVIEW
gen Age72=V720294 if V720294>=18
replace Age72=(Age72-18)/80

*V720300 EDUCATION OF RESPONDENT
gen Education72=1 if V720300<=43
replace Education72=2 if V720300==50 | V720300==51
replace Education72=3 if V720300==61 | V720300==71
replace Education72=4 if V720300==81
replace Education72=5 if V720300==82 | V720300==83 | V720300==84 | V720300==85 | V720300==86 | V720300==87
replace Education72=(Education72-1)/4

*V720420 R'S ESTIMATED FAMILY INCOME FOR 1971
gen Income72=V720420 if V720420<=18
recode Income72 (2=1) (3=1) (4=2) (5=3) (6=4) (7=5) (8=6) (9=7) (10=8) (11=9) (12=10) (13=11) (14=12) (15=13) (16=14) (17=15) (18=16)
replace Income72=(Income72-1)/15

*V720424 WHAT IS R'S SEX
gen Female72=1 if V720424==2
replace Female72=0 if V720424==1

*V720425 WHAT IS R'S RACE
gen NonWhite72=1 if V720425==2 | V720425==3 | V720425==4 | V720425==5 | V720425==6 | V720425==7
replace NonWhite72=0 if V720425==1


*Political Efficacy
*V720269 PEOPLE LIKE ME DON'T HAVE ANY SAY ABOUT WHAT THE GOVERNMENT DOES - 1=agree, 5=disagree 
gen NoSay=V720269
recode NoSay (1=0) (5=1) (8=0) (9=.) (0=.)                                 

*V720272 I DON'T THINK PUBLIC OFFICIALS CARE MUCH WHAT PEOPLE LIKE ME THINK -1=agree, 5=disagree
gen GovCare=V720272
recode GovCare (1=0) (5=1) (8=0) (9=.) (0=.)

gen Efficacy72=(NoSay+GovCare)


*Ideology/Partisanship
*V720652 NAME-2R-LIBERAL/CNSVTV SCALE - 1=extremely liberal, 7=extremely conservative
gen Ideology72=V720652
recode Ideology72 (8=4) (9=.) (0=4)

*V720140 NAME-1SUMMARY-R'S PARTY ID - 1=strong Democrat, 7=strong Republican
gen PID72=V720140
recode PID72 (0=1) (1=2) (2=3) (3=4) (4=5) (5=6) (6=7) (7=4) (8=.) (9=.)




***1974***
*Demographics
*V742406 NAME-3RESPONDENT'S AGE
gen Age74=V742406 if V742406>=18
replace Age74=(V720294+2) if Age74==. & V720294!=. & V720294>=17
replace Age74=(Age74-18)/82

*V742418 NAME-3R'S EDUCATION-#YEARS
gen Education74=1 if V742418<=11
replace Education74=2 if V742418==12
replace Education74=3 if V742418==13 | V742418==14 | V742418==15
replace Education74=4 if V742418==16
replace Education74=5 if V742418==17
replace Education74=(Education74-1)/4
replace Education74=Education72 if Education74==. & Education72!=.

*V742549 NAME-3R'S ESTD FAM INCOM-1973
gen Income74=V742549 if V742549<=19
recode Income74 (2=1) (3=1) (4=2) (5=3) (6=4) (7=5) (8=6) (9=7) (10=8) (11=9) (12=10) (13=11) (14=12) (15=13) (16=14) (17=15) (18=16) (19=16)
replace Income74=(Income74-1)/15
replace Income74=Income72 if Income74==. & Income72!=.

*V742553 NAME-3RESPONDENT'S SEX
gen Female74=1 if V742553==2
replace Female74=0 if V742553==1
replace Female74=Female72 if Female74==. & Female72!=.

*V742554 NAME-3RESPONDENT'S RACE 
gen NonWhite74=1 if V742554==2 | V742554==3 | V742554==4 | V742554==5 | V742554==6 | V742554==7
replace NonWhite74=0 if V742554==1


*Political Efficacy
*V742222 DO PEOPLE LIKE R HAVE ANY SAY IN WHAT GOVERNMENT DOES - 1=no, 0=yes (reverse coded)
gen NoSay74=V742222
recode NoSay74 (1=0) (5=1) (8=0) (9=.) (0=.)                               

*V742225 DO OFFICIALS CARE WHAT PEOPLE LIKE R THINK - 1=no, 0=yes (reverse coded)
gen GovCare74=V742225
recode GovCare74 (1=0) (5=1) (8=0) (9=.) (0=.)

gen Efficacy74=(NoSay74+GovCare74)


*Ideology/Partisanship
*V742305 R'S POSITION ON LIBERAL/CONSERVATIVE VIEWS SCALE - 1=extremely liberal, 7=extremely conservative
gen Ideology74=V742305
recode Ideology74 (8=.) (9=.) (0=4)
replace Ideology74=Ideology72 if Ideology74==. & Ideology72!=.

*V742204 R'S PARTY IDENTIFICATION - 1=strong Democrat, 7=strong Republican
gen PID74=V742204
recode PID74 (0=1) (1=2) (2=3) (3=4) (4=5) (5=6) (6=7) (7=4) (8=.) (9=.)
replace PID74=PID72 if PID74==. & PID72!=.




***1976***
*Demographics
*V763369 NAME-4RESPONDENT'S AGE
gen Age76=V763369 if V763369>=18
replace Age76=(V720294+4) if Age76==. & V720294!=. & V720294>=17
replace Age76=(Age76-18)/84

*V763384 NAME-4R'S EDUCATION-#YEARS
gen Education76=1 if V763384<=11
replace Education76=2 if V763384==12
replace Education76=3 if V763384==13 | V763384==14 | V763384==15
replace Education76=4 if V763384==16
replace Education76=5 if V763384==17
replace Education76=(Education76-1)/4
replace Education76=Education72 if Education76==. & Education72!=.

*V763507 NAME-4R'S ESTD OWN/FMLY INCOM 
gen Income76=V763507 if V763507<=20
recode Income76 (13=12) (14=12) (15=13) (16=13) (17=14) (18=14) (19=15) (20=16)
replace Income76=(Income76-1)/15
replace Income76=Income72 if Income76==. & Income72!=.

*V763512 WHAT IS R'S SEX
gen Female76=1 if V763512==2
replace Female76=0 if V763512==1
replace Female76=Female72 if Female76==. & Female72!=.

*V763513 WHAT IS R'S RACE
gen NonWhite76=1 if V763513==2 | V763513==3 | V763513==4 | V763513==5 | V763513==6 | V763513==7
replace NonWhite76=0 if V763513==1


*Political Efficacy
*V763815 DO PEOPLE LIKE R HAVE ANY SAY IN WHAT GOVERNMENT DOES - 1=no, 0=yes (reverse coded)
gen NoSay76=V763815
recode NoSay76 (1=0) (5=1) (8=0) (9=.) (0=.)                               

*V763818 DO OFFICIALS CARE WHAT PEOPLE LIKE R THINK - 1=no, 0=yes (reverse coded)
gen GovCare76=V763818
recode GovCare76 (1=0) (5=1) (8=0) (9=.) (0=.)

gen Efficacy76=(NoSay76+GovCare76)


*Ideology/Partisanship
*V763286 R'S POSITION ON LIBERAL/CONSERVATIVE VIEWS SCALE - 1=extremely liberal, 7=extremely conservative
gen Ideology76=V763286
recode Ideology76 (8=.) (9=.) (0=4)
replace Ideology76=Ideology72 if Ideology76==. & Ideology72!=.

*V763174 SUMMARY OF R'S PARTY IDENTIFICATION & STRENGTH - 1=strong Democrat, 7=strong Republican
gen PID76=V763174
recode PID76 (0=1) (1=2) (2=3) (3=4) (4=5) (5=6) (6=7) (7=4) (8=.) (9=.)
replace PID76=PID72 if PID76==. & PID72!=.




***Models, Table 1***
oprobit Efficacy72 attractive Age72 Education72 Income72 Female72 NonWhite72, robust
oprobit Efficacy74 attractive Age74 Education74 Income74 Female74 NonWhite74, robust
oprobit Efficacy76 attractive Age76 Education76 Income76 Female76 NonWhite76, robust


***Models, Table 2***
reg Ideology72 attractive Age72 Education72 Income72 Female72 NonWhite72, robust
reg Ideology74 attractive Age74 Education74 Income74 Female74 NonWhite74, robust
reg Ideology76 attractive Age76 Education76 Income76 Female76 NonWhite76, robust

reg PID72 attractive Age72 Education72 Income72 Female72 NonWhite72, robust
reg PID74 attractive Age74 Education74 Income74 Female74 NonWhite74, robust
reg PID76 attractive Age76 Education76 Income76 Female76 NonWhite76, robust




***WLS 2003-5, 2011 Analyses***


*Attractiveness Rating
gen attractive=meanrat
egen min=min(meanrat)
replace attractive=attractive-min
egen max=max(attractive)
replace attractive=attractive/max
drop min max




***2003-5***
*Demographics
gen Age03=ga003re
recode Age03 (-3=.) (-2=.)
replace Age03=(Age03-63)/4

gen Education03=gb103red
recode Education03 (-3=.) (12=1) (13=2) (14=2) (15=2) (16=3) (17=4) (18=4) (19=4) (20=4) 
replace Education03=(Education03-1)/3

gen Income03=gp260hec
recode Income03 (-5=.) (-4=.) (-3=.) (-2=.) (-1=.)
egen max=max(Income03)
replace Income03=Income03/max
drop max

gen Female=1 if sexrsp==2
replace Female=0 if sexrsp==1


*Ideology/Partisanship
gen Ideology03=iz103rer
recode Ideology03 (-3=4) (-1=4)

gen PID03=.
replace PID03=1 if iz102rer==2
replace PID03=2 if iz102rer==4
replace PID03=3 if iz102rer==5 | iz102rer==6 | iz102rer==-3 | iz102rer==-1
replace PID03=4 if iz102rer==3 
replace PID03=5 if iz102rer==1




***2011***
*Demographics
gen Age11=ha003re
recode Age11 (-30=.)
replace Age11=(Age11-70)/4

gen Education11=hb103red
recode Education11 (-30=.) (-4=.) (12=1) (13=2) (14=2) (15=2) (16=3) (17=4) (18=4) (19=4) (20=4) (21=4)
replace Education11=(Education11-1)/3

gen Income11=hp260hec
recode Income11 (-5=.)
egen max=max(Income11)
replace Income11=Income11/max
drop max


*Ideology/Partisanship
gen Ideology11=jz103rer
recode Ideology11 (-29=4) (-27=4) (-4=4) (-3=4) (-1=4)

gen PID11=.
replace PID11=1 if jz102rer==2
replace PID11=2 if jz102rer==4
replace PID11=3 if jz102rer==-29 | jz102rer==-27 | jz102rer==-4 | jz102rer==-3 | jz102rer==-1 | jz102rer==5 | jz102rer==6 | jz102rer==7 | jz102rer==8 | jz102rer==9 | jz102rer==10 | jz102rer==11
replace PID11=4 if jz102rer==3
replace PID11=5 if jz102rer==1




***Models, Table 3***
reg Ideology03 attractive Age03 Education03 Income03 Female, robust
reg PID03 attractive Age03 Education03 Income03 Female, robust

reg Ideology11 attractive Age11 Education11 Income11 Female, robust
reg PID11 attractive Age11 Education11 Income11 Female, robust
